Page MenuHomePhabricator

[Collections] Call to a member function getLocalUrl() on a non-object (null)
Closed, ResolvedPublic

Description

Error

Request URL: https://www.mediawiki.org/w/index.php?title=Special:Book&bookcmd=suggest
Request ID: XOSL-ApAADkAAAeDhKMAAABG

message
[XOSL-ApAADkAAAeDhKMAAABG] /w/index.php?title=Special:Book&bookcmd=suggest   BadMethodCallException from line 67 of /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/templates/CollectionSuggestTemplate.php: Call to a member function getLocalUrl() on a non-object (null)
trace
#0 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/templates/CollectionSuggestTemplate.php(33): CollectionSuggestTemplate->getProposalList()
#1 /srv/mediawiki/php-1.34.0-wmf.6/includes/skins/QuickTemplate.php(178): CollectionSuggestTemplate->execute()
#2 /srv/mediawiki/php-1.34.0-wmf.6/includes/OutputPage.php(2062): QuickTemplate->getHTML()
#3 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/CollectionSuggest.php(56): OutputPage->addTemplate(CollectionSuggestTemplate)
#4 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/Specials/SpecialCollection.php(334): CollectionSuggest::run()
#5 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/Specials/SpecialCollection.php(295): SpecialCollection->processSuggestCommand()
#6 /srv/mediawiki/php-1.34.0-wmf.6/includes/specialpage/SpecialPage.php(570): SpecialCollection->execute(NULL)
#7 /srv/mediawiki/php-1.34.0-wmf.6/includes/specialpage/SpecialPageFactory.php(575): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(865): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(515): MediaWiki->main()
#11 /srv/mediawiki/php-1.34.0-wmf.6/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Impact

Notes

Also happened on 1.34.0-wmf.5

Apparently started on May 18th around 19:00 UTC

From SAL:

2019-05-18

19:18 <krinkle@deploy1001> Synchronized php-1.34.0-wmf.5/extensions/Collection/templates/CollectionSuggestTemplate.php: T223742 / 89bd434a21a745ec (duration: 00m 49s)

Event Timeline

hashar created this task.May 22 2019, 9:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2019, 9:01 AM

And on the same URL we also have:

PHP Notice: Undefined variable: prop
 	#0 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/templates/CollectionSuggestTemplate.php(65): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/templates/CollectionSuggestTemplate.php(33): CollectionSuggestTemplate->getProposalList()
#2 /srv/mediawiki/php-1.34.0-wmf.6/includes/skins/QuickTemplate.php(178): CollectionSuggestTemplate->execute()
#3 /srv/mediawiki/php-1.34.0-wmf.6/includes/OutputPage.php(2062): QuickTemplate->getHTML()
#4 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/CollectionSuggest.php(56): OutputPage->addTemplate(CollectionSuggestTemplate)
#5 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/Specials/SpecialCollection.php(334): CollectionSuggest::run()
#6 /srv/mediawiki/php-1.34.0-wmf.6/extensions/Collection/includes/Specials/SpecialCollection.php(295): SpecialCollection->processSuggestCommand()
#7 /srv/mediawiki/php-1.34.0-wmf.6/includes/specialpage/SpecialPage.php(570): SpecialCollection->execute(NULL)
#8 /srv/mediawiki/php-1.34.0-wmf.6/includes/specialpage/SpecialPageFactory.php(575): SpecialPage->run(NULL)
#9 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(865): MediaWiki->performRequest()
#11 /srv/mediawiki/php-1.34.0-wmf.6/includes/MediaWiki.php(515): MediaWiki->main()
#12 /srv/mediawiki/php-1.34.0-wmf.6/index.php(42): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include(string)
#14 {main}

Both those errors are basically the same thing...

Of course, it's not replicable on demand

Change 511872 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Prevent Call to a member function getLocalUrl() on a non-object

https://gerrit.wikimedia.org/r/511872

Change 511873 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.6] Prevent Call to a member function getLocalUrl() on a non-object

https://gerrit.wikimedia.org/r/511873

Change 511873 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.6] Prevent Call to a member function getLocalUrl() on a non-object

https://gerrit.wikimedia.org/r/511873

Mentioned in SAL (#wikimedia-operations) [2019-05-22T13:27:47Z] <reedy@deploy1001> Synchronized php-1.34.0-wmf.6/extensions/Collection/templates/: T224092 (duration: 00m 58s)

Change 511872 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Prevent Call to a member function getLocalUrl() on a non-object

https://gerrit.wikimedia.org/r/511872

Reedy closed this task as Resolved.May 22 2019, 10:45 PM
Reedy claimed this task.